import {defineConfig} from "vite";
import react from "@vitejs/plugin-react";
import * as path from "path";

export default defineConfig({
    plugins: [react()],
    resolve: {
        alias: {
            "@": path.resolve(__dirname, "./src"),
        },
    },
    server: {
        proxy: {
            "/socket.io": {
                target: "http://localhost:5237",
                changeOrigin: true,
                ws: true,
            },
        },
    },
})
